### Method

# Vips Rect dup

#### Declaration [src]

    VipsRect*
    vips_rect_dup (
      const VipsRect* r
    )

#### Description [src]

Duplicate a rect to the heap. You need to free the result with `g_free()`.

This method is not directly available to language bindings.

#### Return value

Type: `VipsRect`

A pointer to copy of `r` allocated on the heap.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.